Class | Logger::Formatter
In: | logger.rb
Parent: | Object

### Methods

call new

### Constants

Format | = | "%s, [%s#%d] %5s -- %s: %s\n"

### Attributes

datetime_format | [RW] |

### Public Class methods

new()

[Source]

    # File logger.rb, line 449
        def initialize
          @datetime_format = nil
        end

### Public Instance methods

call(severity, time, progname, msg)

[Source]

    # File logger.rb, line 453
        def call(severity, time, progname, msg)
          Format % [severity[0..0], format_datetime(time), $$, severity, progname,
            msg2str(msg)]
        end

[Validate]